com.amazonaws.services.servermigration.model

## Class Connector

- java.lang.Object
- - com.amazonaws.services.servermigration.model.Connector

All Implemented Interfaces:
  Serializable, Cloneable

    public class Connector
    extends Object
    implements Serializable, Cloneable

Object representing a Connector

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Connector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connector` `clone()`
`boolean` `equals(Object obj)`
`Date` `getAssociatedOn()`
`List<String>` `getCapabilityList()`
`String` `getConnectorId()`
`String` `getIpAddress()`
`String` `getMacAddress()`
`String` `getStatus()`
`String` `getVersion()`
`String` `getVmManagerId()`
`String` `getVmManagerName()`
`String` `getVmManagerType()`
`int` `hashCode()`
`void` `setAssociatedOn(Date associatedOn)`
`void` `setCapabilityList(Collection<String> capabilityList)`
`void` `setConnectorId(String connectorId)`
`void` `setIpAddress(String ipAddress)`
`void` `setMacAddress(String macAddress)`
`void` `setStatus(ConnectorStatus status)`
`void` `setStatus(String status)`
`void` `setVersion(String version)`
`void` `setVmManagerId(String vmManagerId)`
`void` `setVmManagerName(String vmManagerName)`
`void` `setVmManagerType(String vmManagerType)`
`void` `setVmManagerType(VmManagerType vmManagerType)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Connector` `withAssociatedOn(Date associatedOn)`
`Connector` `withCapabilityList(Collection<String> capabilityList)`
`Connector` `withCapabilityList(ConnectorCapability... capabilityList)`
`Connector` `withCapabilityList(String... capabilityList)` NOTE: This method appends the values to the existing list (if any).
`Connector` `withConnectorId(String connectorId)`
`Connector` `withIpAddress(String ipAddress)`
`Connector` `withMacAddress(String macAddress)`
`Connector` `withStatus(ConnectorStatus status)`
`Connector` `withStatus(String status)`
`Connector` `withVersion(String version)`
`Connector` `withVmManagerId(String vmManagerId)`
`Connector` `withVmManagerName(String vmManagerName)`
`Connector` `withVmManagerType(String vmManagerType)`
`Connector` `withVmManagerType(VmManagerType vmManagerType)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Connector

    public Connector()

### Method Detail

#### setConnectorId

    public void setConnectorId(String connectorId)

Parameters:
  `connectorId` -

#### getConnectorId

    public String getConnectorId()

Returns:

#### withConnectorId

    public Connector withConnectorId(String connectorId)

Parameters:
  `connectorId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVersion

    public void setVersion(String version)

Parameters:
  `version` -

#### getVersion

    public String getVersion()

Returns:

#### withVersion

    public Connector withVersion(String version)

Parameters:
  `version` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

Parameters:
  `status` -
See Also:
  `ConnectorStatus`

#### getStatus

    public String getStatus()

Returns:
See Also:
  `ConnectorStatus`

#### withStatus

    public Connector withStatus(String status)

Parameters:
  `status` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ConnectorStatus`

#### setStatus

    public void setStatus(ConnectorStatus status)

Parameters:
  `status` -
See Also:
  `ConnectorStatus`

#### withStatus

    public Connector withStatus(ConnectorStatus status)

Parameters:
  `status` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ConnectorStatus`

#### getCapabilityList

    public List<String> getCapabilityList()

Returns:
See Also:
  `ConnectorCapability`

#### setCapabilityList

    public void setCapabilityList(Collection<String> capabilityList)

Parameters:
  `capabilityList` -
See Also:
  `ConnectorCapability`

#### withCapabilityList

    public Connector withCapabilityList(String... capabilityList)

NOTE: This method appends the values to the existing list (if any). Use `setCapabilityList(java.util.Collection)` or `withCapabilityList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `capabilityList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ConnectorCapability`

#### withCapabilityList

    public Connector withCapabilityList(Collection<String> capabilityList)

Parameters:
  `capabilityList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ConnectorCapability`

#### withCapabilityList

    public Connector withCapabilityList(ConnectorCapability... capabilityList)

Parameters:
  `capabilityList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ConnectorCapability`

#### setVmManagerName

    public void setVmManagerName(String vmManagerName)

Parameters:
  `vmManagerName` -

#### getVmManagerName

    public String getVmManagerName()

Returns:

#### withVmManagerName

    public Connector withVmManagerName(String vmManagerName)

Parameters:
  `vmManagerName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVmManagerType

    public void setVmManagerType(String vmManagerType)

Parameters:
  `vmManagerType` -
See Also:
  `VmManagerType`

#### getVmManagerType

    public String getVmManagerType()

Returns:
See Also:
  `VmManagerType`

#### withVmManagerType

    public Connector withVmManagerType(String vmManagerType)

Parameters:
  `vmManagerType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `VmManagerType`

#### setVmManagerType

    public void setVmManagerType(VmManagerType vmManagerType)

Parameters:
  `vmManagerType` -
See Also:
  `VmManagerType`

#### withVmManagerType

    public Connector withVmManagerType(VmManagerType vmManagerType)

Parameters:
  `vmManagerType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `VmManagerType`

#### setVmManagerId

    public void setVmManagerId(String vmManagerId)

Parameters:
  `vmManagerId` -

#### getVmManagerId

    public String getVmManagerId()

Returns:

#### withVmManagerId

    public Connector withVmManagerId(String vmManagerId)

Parameters:
  `vmManagerId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIpAddress

    public void setIpAddress(String ipAddress)

Parameters:
  `ipAddress` -

#### getIpAddress

    public String getIpAddress()

Returns:

#### withIpAddress

    public Connector withIpAddress(String ipAddress)

Parameters:
  `ipAddress` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMacAddress

    public void setMacAddress(String macAddress)

Parameters:
  `macAddress` -

#### getMacAddress

    public String getMacAddress()

Returns:

#### withMacAddress

    public Connector withMacAddress(String macAddress)

Parameters:
  `macAddress` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAssociatedOn

    public void setAssociatedOn(Date associatedOn)

Parameters:
  `associatedOn` -

#### getAssociatedOn

    public Date getAssociatedOn()

Returns:

#### withAssociatedOn

    public Connector withAssociatedOn(Date associatedOn)

Parameters:
  `associatedOn` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Connector clone()

Overrides:
  `clone` in class `Object`